| Param name | Description |
|---|---|
|
location_id
optional |
Scope by locations Validations:
|
|
organization_id
optional |
Scope by organizations Validations:
|
|
search
optional |
filter results Validations:
|
|
order
optional |
Sort and order by a searchable field, e.g. ‘<field> DESC’ Validations:
|
|
page
optional |
Page number, starting at 1 Validations:
|
|
per_page
optional |
Number of results per page to return, ‘all’ to return all results Validations:
|
|
include
optional |
Array of extra information types to include Validations:
|
| Field name | Type | Possible values |
|---|---|---|
| architecture | string | |
| content_source | string | |
| content_view | string | |
| host | string | |
| id | integer | |
| label | string | |
| lifecycle_environment | string | |
| location | string | |
| location_id | integer | |
| medium | string | |
| name | string | |
| organization | string | |
| organization_id | integer | |
| os | string | |
| os_description | string | |
| os_id | integer | |
| os_major | string | |
| os_minor | string | |
| os_title | string | |
| params | string | |
| template | string | |
| title | string |
GET /api/hostgroups/928644303
200
{
"content_source_id": null,
"content_source_name": null,
"content_view_id": 1058174806,
"content_view_name": "Database300",
"lifecycle_environment_id": 1028819316,
"lifecycle_environment_name": "Library",
"content_view_environment_id": 881278685,
"kickstart_repository_id": null,
"subnet_id": null,
"subnet_name": null,
"operatingsystem_id": null,
"operatingsystem_name": null,
"domain_id": null,
"domain_name": null,
"compute_profile_id": null,
"compute_profile_name": null,
"ancestry": null,
"parent_id": null,
"parent_name": null,
"ptable_id": null,
"ptable_name": null,
"medium_id": null,
"medium_name": null,
"pxe_loader": null,
"subnet6_id": null,
"subnet6_name": null,
"compute_resource_id": null,
"compute_resource_name": null,
"architecture_id": null,
"architecture_name": null,
"realm_id": null,
"realm_name": null,
"created_at": "2026-11-03 08:11:36 UTC",
"updated_at": "2026-11-03 08:11:36 UTC",
"id": 928644303,
"name": "TestShowHG",
"title": "TestShowHG",
"description": null,
"puppet_proxy_id": null,
"puppet_proxy_name": null,
"puppet_ca_proxy_id": null,
"puppet_ca_proxy_name": null,
"puppet_proxy": null,
"puppet_ca_proxy": null,
"inherited_compute_profile_id": null,
"inherited_domain_id": null,
"inherited_puppet_proxy_id": null,
"inherited_puppet_ca_proxy_id": null,
"inherited_compute_resource_id": null,
"inherited_operatingsystem_id": null,
"inherited_architecture_id": null,
"inherited_medium_id": null,
"inherited_ptable_id": null,
"inherited_subnet_id": null,
"inherited_subnet6_id": null,
"inherited_realm_id": null,
"inherited_pxe_loader": null,
"parameters": [],
"template_combinations": [],
"locations": [],
"organizations": [
{
"id": 375,
"name": "Organization375",
"title": "Organization375",
"description": null
}
]
}
| Param name | Description |
|---|---|
|
location_id
optional |
Set the current location context for the request Validations:
|
|
organization_id
optional |
Set the current organization context for the request Validations:
|
|
id
required |
Validations:
|
|
show_hidden_parameters
optional |
Display hidden parameter values Validations:
|
POST /api/hostgroups
{
"hostgroup": {
"name": "Test HG with CVE ID",
"content_view_environment_id": 881278686
}
}
201
{
"subnet_id": null,
"subnet_name": null,
"operatingsystem_id": null,
"operatingsystem_name": null,
"domain_id": null,
"domain_name": null,
"compute_profile_id": null,
"compute_profile_name": null,
"ancestry": null,
"parent_id": null,
"parent_name": null,
"ptable_id": null,
"ptable_name": null,
"medium_id": null,
"medium_name": null,
"pxe_loader": null,
"subnet6_id": null,
"subnet6_name": null,
"compute_resource_id": null,
"compute_resource_name": null,
"architecture_id": null,
"architecture_name": null,
"realm_id": null,
"realm_name": null,
"created_at": "2026-11-03 08:11:36 UTC",
"updated_at": "2026-11-03 08:11:36 UTC",
"id": 928644304,
"name": "Test HG with CVE ID",
"title": "Test HG with CVE ID",
"description": null,
"puppet_proxy_id": null,
"puppet_proxy_name": null,
"puppet_ca_proxy_id": null,
"puppet_ca_proxy_name": null,
"puppet_proxy": null,
"puppet_ca_proxy": null,
"inherited_compute_profile_id": null,
"inherited_domain_id": null,
"inherited_puppet_proxy_id": null,
"inherited_puppet_ca_proxy_id": null,
"inherited_compute_resource_id": null,
"inherited_operatingsystem_id": null,
"inherited_architecture_id": null,
"inherited_medium_id": null,
"inherited_ptable_id": null,
"inherited_subnet_id": null,
"inherited_subnet6_id": null,
"inherited_realm_id": null,
"inherited_pxe_loader": null,
"parameters": [],
"template_combinations": [],
"locations": [],
"organizations": [
{
"id": 376,
"name": "Organization376",
"title": "Organization376",
"description": null
}
]
}
| Param name | Description |
|---|---|
|
location_id
optional |
Set the current location context for the request Validations:
|
|
organization_id
optional |
Set the current organization context for the request Validations:
|
|
hostgroup
required |
Validations:
|
|
hostgroup[name]
required |
Name of the host group Validations:
|
|
hostgroup[description]
optional , nil allowed |
Host group description Validations:
|
|
hostgroup[parent_id]
optional , nil allowed |
Parent ID of the host group Validations:
|
|
hostgroup[compute_profile_id]
optional , nil allowed |
Compute profile ID Validations:
|
|
hostgroup[compute_resource_id]
optional , nil allowed |
Compute resource ID Validations:
|
|
hostgroup[operatingsystem_id]
optional , nil allowed |
Operating system ID Validations:
|
|
hostgroup[architecture_id]
optional , nil allowed |
Architecture ID Validations:
|
|
hostgroup[pxe_loader]
optional , nil allowed |
DHCP filename option (Grub2/PXELinux by default) Validations:
|
|
hostgroup[medium_id]
optional , nil allowed |
Media ID Validations:
|
|
hostgroup[ptable_id]
optional , nil allowed |
Partition table ID Validations:
|
|
hostgroup[subnet_id]
optional , nil allowed |
Subnet ID Validations:
|
|
hostgroup[subnet6_id]
optional , nil allowed |
Subnet IPv6 ID Validations:
|
|
hostgroup[domain_id]
optional , nil allowed |
Domain ID Validations:
|
|
hostgroup[realm_id]
optional , nil allowed |
Realm ID Validations:
|
|
hostgroup[group_parameters_attributes]
optional , nil allowed |
Array of parameters Validations:
|
|
hostgroup[group_parameters_attributes][name]
required |
Name of the parameter Validations:
|
|
hostgroup[group_parameters_attributes][value]
required |
Parameter value Validations:
|
|
hostgroup[group_parameters_attributes][parameter_type]
optional , nil allowed |
Type of value Validations:
|
|
hostgroup[group_parameters_attributes][hidden_value]
optional , nil allowed |
Validations:
|
|
hostgroup[puppet_proxy_id]
optional , nil allowed |
Puppet proxy ID Validations:
|
|
hostgroup[puppet_ca_proxy_id]
optional , nil allowed |
Puppet CA proxy ID Validations:
|
|
hostgroup[root_pass]
optional , nil allowed |
Root password on provisioned hosts Validations:
|
|
hostgroup[location_ids]
optional , nil allowed |
REPLACE locations with given ids Validations:
|
|
hostgroup[organization_ids]
optional , nil allowed |
REPLACE organizations with given ids. Validations:
|
|
hostgroup[content_source_id]
optional |
Content source ID Validations:
|
|
hostgroup[content_view_environment_id]
optional |
Content view environment ID Validations:
|
|
hostgroup[kickstart_repository_id]
optional |
Kickstart repository ID Validations:
|
PUT /api/hostgroups/928644306
{
"hostgroup": {
"content_view_environment_id": 881278689
}
}
200
{
"subnet_id": null,
"subnet_name": null,
"operatingsystem_id": null,
"operatingsystem_name": null,
"domain_id": null,
"domain_name": null,
"compute_profile_id": null,
"compute_profile_name": null,
"ancestry": null,
"parent_id": null,
"parent_name": null,
"ptable_id": null,
"ptable_name": null,
"medium_id": null,
"medium_name": null,
"pxe_loader": null,
"subnet6_id": null,
"subnet6_name": null,
"compute_resource_id": null,
"compute_resource_name": null,
"architecture_id": null,
"architecture_name": null,
"realm_id": null,
"realm_name": null,
"created_at": "2026-11-03 08:11:36 UTC",
"updated_at": "2026-11-03 08:11:36 UTC",
"id": 928644306,
"name": "TestHG",
"title": "TestHG",
"description": null,
"puppet_proxy_id": null,
"puppet_proxy_name": null,
"puppet_ca_proxy_id": null,
"puppet_ca_proxy_name": null,
"puppet_proxy": null,
"puppet_ca_proxy": null,
"inherited_compute_profile_id": null,
"inherited_domain_id": null,
"inherited_puppet_proxy_id": null,
"inherited_puppet_ca_proxy_id": null,
"inherited_compute_resource_id": null,
"inherited_operatingsystem_id": null,
"inherited_architecture_id": null,
"inherited_medium_id": null,
"inherited_ptable_id": null,
"inherited_subnet_id": null,
"inherited_subnet6_id": null,
"inherited_realm_id": null,
"inherited_pxe_loader": null,
"parameters": [],
"template_combinations": [],
"locations": [],
"organizations": [
{
"id": 378,
"name": "Organization378",
"title": "Organization378",
"description": null
}
]
}
| Param name | Description |
|---|---|
|
location_id
optional |
Set the current location context for the request Validations:
|
|
organization_id
optional |
Set the current organization context for the request Validations:
|
|
id
required |
Validations:
|
|
hostgroup
required |
Validations:
|
|
hostgroup[name]
optional |
Name of the host group Validations:
|
|
hostgroup[description]
optional , nil allowed |
Host group description Validations:
|
|
hostgroup[parent_id]
optional , nil allowed |
Parent ID of the host group Validations:
|
|
hostgroup[compute_profile_id]
optional , nil allowed |
Compute profile ID Validations:
|
|
hostgroup[compute_resource_id]
optional , nil allowed |
Compute resource ID Validations:
|
|
hostgroup[operatingsystem_id]
optional , nil allowed |
Operating system ID Validations:
|
|
hostgroup[architecture_id]
optional , nil allowed |
Architecture ID Validations:
|
|
hostgroup[pxe_loader]
optional , nil allowed |
DHCP filename option (Grub2/PXELinux by default) Validations:
|
|
hostgroup[medium_id]
optional , nil allowed |
Media ID Validations:
|
|
hostgroup[ptable_id]
optional , nil allowed |
Partition table ID Validations:
|
|
hostgroup[subnet_id]
optional , nil allowed |
Subnet ID Validations:
|
|
hostgroup[subnet6_id]
optional , nil allowed |
Subnet IPv6 ID Validations:
|
|
hostgroup[domain_id]
optional , nil allowed |
Domain ID Validations:
|
|
hostgroup[realm_id]
optional , nil allowed |
Realm ID Validations:
|
|
hostgroup[group_parameters_attributes]
optional , nil allowed |
Array of parameters Validations:
|
|
hostgroup[group_parameters_attributes][name]
optional |
Name of the parameter Validations:
|
|
hostgroup[group_parameters_attributes][value]
optional |
Parameter value Validations:
|
|
hostgroup[group_parameters_attributes][parameter_type]
optional , nil allowed |
Type of value Validations:
|
|
hostgroup[group_parameters_attributes][hidden_value]
optional , nil allowed |
Validations:
|
|
hostgroup[puppet_proxy_id]
optional , nil allowed |
Puppet proxy ID Validations:
|
|
hostgroup[puppet_ca_proxy_id]
optional , nil allowed |
Puppet CA proxy ID Validations:
|
|
hostgroup[root_pass]
optional , nil allowed |
Root password on provisioned hosts Validations:
|
|
hostgroup[location_ids]
optional , nil allowed |
REPLACE locations with given ids Validations:
|
|
hostgroup[organization_ids]
optional , nil allowed |
REPLACE organizations with given ids. Validations:
|
|
hostgroup[content_source_id]
optional |
Content source ID Validations:
|
|
hostgroup[content_view_environment_id]
optional |
Content view environment ID Validations:
|
|
hostgroup[kickstart_repository_id]
optional |
Kickstart repository ID Validations:
|
| Param name | Description |
|---|---|
|
location_id
optional |
Set the current location context for the request Validations:
|
|
organization_id
optional |
Set the current organization context for the request Validations:
|
|
id
required |
Validations:
|
| Param name | Description |
|---|---|
|
location_id
optional |
Set the current location context for the request Validations:
|
|
organization_id
optional |
Set the current organization context for the request Validations:
|
|
name
required |
Validations:
|
| Param name | Description |
|---|---|
|
location_id
optional |
Set the current location context for the request Validations:
|
|
organization_id
optional |
Set the current organization context for the request Validations:
|
|
id
required |
Validations:
|
|
only
optional |
Limit rebuild steps, valid steps are DHCP, DNS, TFTP, Content_Host_Status, Refresh_Content_Host_Status, Clear_Errata_Applications Validations:
|
|
children_hosts
optional |
Operate on child hostgroup hosts Validations:
|